Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Class BasicBinders

    java.lang.Object
      com.jgoodies.binding.binder.BasicBinders

    public final class BasicBinders

extends Object

Creates binders for Objects, AbstractBeans, and PresentationModels.

Since:
  2.3
Version:
  $Revision: 1.5 $
Author:
  Karsten Lentzsch

Method Summary
`static ObjectBinder` | `binder()` Creates and returns a general binder for objects that can bind Actions, ListModel + ListSelectionModel, ValueModels, and SelectionInLists.
`static BeanBinder` | `binderFor(Object bean)` Creates and returns a binder for beans that can bind bean properties as well as the object bindings: Actions, ListModel + ListSelectionModel, ValueModels, and SelectionInLists.
`static PresentationModelBinder` | `binderFor(PresentationModel<?> model)` Creates and returns a binder for presentation models that can bind bean properties, (synthetic) properties of the presentation model, as well as the object bindings: Actions, ListModel + ListSelectionModel, ValueModels, and SelectionInLists.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### binder

    public static ObjectBinder binder()

  Creates and returns a general binder for objects that can bind Actions, ListModel + ListSelectionModel, ValueModels, and SelectionInLists.

  Returns:
    the created binder

### binderFor

    public static BeanBinder binderFor(Object bean)

  Creates and returns a binder for beans that can bind bean properties as well as the object bindings: Actions, ListModel + ListSelectionModel, ValueModels, and SelectionInLists.

  Parameters:
    `bean` - the bean used to bind bean properties
  Returns:
    the created binder

### binderFor

    public static PresentationModelBinder binderFor(PresentationModel<?> model)

  Creates and returns a binder for presentation models that can bind bean properties, (synthetic) properties of the presentation model, as well as the object bindings: Actions, ListModel + ListSelectionModel, ValueModels, and SelectionInLists.

  Parameters:
    `model` - the presentation model that holds a bean (used to bind bean properties) and that may provide its own synthetic properties
  Returns:
    the created binder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.